Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree Class Reference

Huffman tree used for inflation. More...

Collaboration diagram for ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree:
[legend]

## Public Member Functions
| InflaterHuffmanTree (byte[] codeLengths)
| Constructs a Huffman tree from the array of code lengths.
int | GetSymbol (StreamManipulator input)
| Reads the next symbol from input. The symbol is encoded using the huffman tree.

## Static Public Attributes
static InflaterHuffmanTree | defLitLenTree
| Literal length tree.
static InflaterHuffmanTree | defDistTree
| Distance tree.

## Private Member Functions
void | BuildTree (byte[] codeLengths)

## Static Private Member Functions
static | InflaterHuffmanTree ()

## Private Attributes
short[] | tree

## Static Private Attributes
const int | MAX_BITLEN = 15

## Detailed Description

Huffman tree used for inflation.

## Constructor & Destructor Documentation

## ◆ InflaterHuffmanTree() [1/2]

ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.InflaterHuffmanTree | ( |  | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ InflaterHuffmanTree() [2/2]

ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.InflaterHuffmanTree | ( | byte[] | codeLengths | ) |

Constructs a Huffman tree from the array of code lengths.

Parameters

  codeLengths | the array of code lengths

Here is the call graph for this function:

## Member Function Documentation

## ◆ BuildTree()

void ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.BuildTree | ( | byte[] | codeLengths | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetSymbol()

int ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.GetSymbol | ( | StreamManipulator | input | ) |

Reads the next symbol from input. The symbol is encoded using the huffman tree.

Parameters

  input | input the input source.

Returns
  the next symbol, or -1 if not enough input is available.

Here is the call graph for this function:

## Member Data Documentation

## ◆ defDistTree

InflaterHuffmanTree ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.defDistTree
| static

Distance tree.

## ◆ defLitLenTree

InflaterHuffmanTree ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.defLitLenTree
| static

Literal length tree.

## ◆ MAX_BITLEN

const int ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.MAX_BITLEN = 15
| static private

## ◆ tree

short [] ICSharpCode.SharpZipLib.Zip.Compression.InflaterHuffmanTree.tree
| private

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/Compression/InflaterHuffmanTree.cs